Click here for lightsabers
  • Home
  • Help
  • Login
  • Register
Pages: [1] 2 3   Go Down
Author Topic: MAC: Ultrasabers Launcher with Diamond Controller UPDATED & SIGNED 03-18-2020  (Read 16311 times)
Deep
Administrator
Knight Commander
******

Force Alignment: 695
Posts: 955



« on: July 12, 2017, 04:22:55 PM »

If you already have a previous version of the Launcher installed you should uninstall the older pre-v2.64 Launcher and install the new 2.64 version.  Do NOT run the MaintenanceTool.  Please completely uninstall the older version and install the new 2.64 version.

If the OS won't allow installation then the you must have the "Allow apps downloaded from:" set to "App Store and identified developers". This is found in System Preferences -> Security & Privacy -> General tab.



« Last Edit: March 18, 2020, 02:36:43 PM by Deep » Logged

Emory "Deep" Harris
www.ultrasabers.com

DarthRegis
Force Sensitive
*

Force Alignment: 0
Posts: 4


« Reply #1 on: November 11, 2017, 06:29:44 AM »

My software is telling me that 2.4 is out (with a new and super awesome sounding firmware too). When and where should I expect to find that link to download the 2.4?
Logged

Deep
Administrator
Knight Commander
******

Force Alignment: 695
Posts: 955



« Reply #2 on: November 20, 2017, 05:44:15 PM »

Updated
Logged

Emory "Deep" Harris
www.ultrasabers.com

ProDadoune
Knight Officer
*

Force Alignment: 56
Posts: 102


May the Force be with you!


« Reply #3 on: January 13, 2018, 03:33:22 PM »

Thanks for the update 😀 I wish you a great Sunday!
Logged

OWNED: Graflex CE (Diamond), Dark initiate LE V4 amber (stunt), Chosen One SE blazing red (Obsidian v4 sound)

revenantdsm
Knight Lance Corporal
*

Force Alignment: -8
Posts: 54


« Reply #4 on: April 05, 2018, 05:33:22 PM »

Not having luck with my Windows PC , so going to try this in my Macbook Air- any special instructions to install this, or just run it and go?
Logged

revenantdsm
Knight Lance Corporal
*

Force Alignment: -8
Posts: 54


« Reply #5 on: April 05, 2018, 06:07:06 PM »

Never mind, install worked like a champ!
Logged

Joden
Force Sensitive
*

Force Alignment: 0
Posts: 4


« Reply #6 on: October 25, 2018, 06:00:15 AM »

I am having trouble getting it to work with the latest version on our MacBook Pro. We are running the High Sierra operating system with a USBC connection. We cannot seem to get the lightsaber connected to the diamond software. We have uninstalled and reinstalled the software numerous times. Tried plugging in and unplugging the saber.

Also I am curious of the popping sounds being made by some of the sound fonts that come default.

Thank you

- Jedi Shadow Joden Thorne
Logged

scifidude79
8-bit Defender of the Aeon Order
Knight Commander
*

Force Alignment: 2027
Posts: 6072


Robot in disguise


« Reply #7 on: October 25, 2018, 06:21:06 AM »

Also I am curious of the popping sounds being made by some of the sound fonts that come default.

Can't help you with your Mac problems, but I can say those popping sounds are in the fonts themselves. I hear the same thing in my Obsidian V4 sabers.
Logged

Dark Path Media
Knight Captain
*

Force Alignment: -167
Posts: 410


Once you start down the dark path...


WWW
« Reply #8 on: October 25, 2018, 01:12:58 PM »

I am having trouble getting it to work with the latest version on our MacBook Pro. We are running the High Sierra operating system with a USBC connection. We cannot seem to get the lightsaber connected to the diamond software. We have uninstalled and reinstalled the software numerous times. Tried plugging in and unplugging the saber.
I am running High Sierra on a MacBook Pro and having no issues with the UltraSabers Launcher software. That said, I'm running a late 2015 model currently; with USB 3.0 and Thunderbolt 1 ports. I know the latest MacBook Pros come with USB C / Thunderbolt 2 ports only, so I'm not certain if that is a potential issue.

How are you converting to Micro USB to connect to the Diamond board? The reason for my question is that I have USB C-to-Micro USB adapter cables (single piece cable), and I have just small adapters. I would think a single piece cable would minimize problems, but maybe try both.
Logged

Ultrasabers currently owned: Archon v3.1 (Diamond) - Guardian (Diamond) - Spectre (Diamond) - Renegade (Diamond) - Fulcrum (Diamond) - Consular (Diamond) - Butcher (Diamond) - Menace SE Staff (Diamond) - Dark Graflex (Diamond) - Dark Sentinel v4 (Stunt) - Initiate v4 (Stunt, Summer Raffle Prize)

Cyclops942
Knight Commander
*

Force Alignment: 477
Posts: 2793


ASU Quidditch -- Brooms up!


« Reply #9 on: August 02, 2019, 09:10:50 AM »

CROSS-POSTED from the Windows thread (because I'm a doofus sometimes):

Per this thread (http://www.saberforum.com/index.php?topic=41885.0), the Launcher will no longer be compatible with the latest MacOS software in less than two months (based on Apple's normal software release schedule).  Do you have an ETA on when the Launcher will be updated to address this issue?  It seems that this is a 32-bit app, and MacOS is pushing all apps to be 64-bit apps.  (See https://support.apple.com/en-us/HT208436 for the official word from Apple.)
Logged

Aeon LE v3 in Consular Green
Initiate v2 in Fire Orange
Initiate v2 in Arctic Blue
Dark Apprentice LE v5 in Adegan Silver
Azure Fallen (Diamond) in Dark Violet Amethyst
Frankensaber (Diamond) in Sentinel Yellow fading to Consular Green, with Guardian Blue  FoC Currently traveling with co-owner

Light Side points preferred, when warranted

Cyclops942
Knight Commander
*

Force Alignment: 477
Posts: 2793


ASU Quidditch -- Brooms up!


« Reply #10 on: August 16, 2019, 08:38:59 AM »

CROSS-POSTED from the Windows thread (because I'm a doofus sometimes):

Per this thread (http://www.saberforum.com/index.php?topic=41885.0), the Launcher will no longer be compatible with the latest MacOS software in less than two months (based on Apple's normal software release schedule).  Do you have an ETA on when the Launcher will be updated to address this issue?  It seems that this is a 32-bit app, and MacOS is pushing all apps to be 64-bit apps.  (See https://support.apple.com/en-us/HT208436 for the official word from Apple.)


Good news!

I have spoken with the folks at RSX Engineering (the team who brought us the Launcher software), and they say that an update is coming in mid-September to address this compatibility issue, and it is expected to have some fixes and updates, too.
Logged

Aeon LE v3 in Consular Green
Initiate v2 in Fire Orange
Initiate v2 in Arctic Blue
Dark Apprentice LE v5 in Adegan Silver
Azure Fallen (Diamond) in Dark Violet Amethyst
Frankensaber (Diamond) in Sentinel Yellow fading to Consular Green, with Guardian Blue  FoC Currently traveling with co-owner

Light Side points preferred, when warranted

Darth Gargamel
Knight Apprentice
*

Force Alignment: -1
Posts: 23



« Reply #11 on: September 30, 2019, 12:44:04 AM »

Bump!
Logged

Cyclops942
Knight Commander
*

Force Alignment: 477
Posts: 2793


ASU Quidditch -- Brooms up!


« Reply #12 on: September 30, 2019, 09:36:34 AM »

I heard from RSX Engineering that the testing encountered some issues, and they are working on fixing those before releasing the software.
Logged

Aeon LE v3 in Consular Green
Initiate v2 in Fire Orange
Initiate v2 in Arctic Blue
Dark Apprentice LE v5 in Adegan Silver
Azure Fallen (Diamond) in Dark Violet Amethyst
Frankensaber (Diamond) in Sentinel Yellow fading to Consular Green, with Guardian Blue  FoC Currently traveling with co-owner

Light Side points preferred, when warranted

Deep
Administrator
Knight Commander
******

Force Alignment: 695
Posts: 955



« Reply #13 on: October 02, 2019, 04:57:04 PM »

UPDATED 10-02-2019
Logged

Emory "Deep" Harris
www.ultrasabers.com

chalion
Knight Commander
*

Force Alignment: 275
Posts: 1389



« Reply #14 on: October 02, 2019, 05:01:40 PM »

Bump for the notification. Hope this means it now works with the newest mac OS.
Logged



26 diamond lightsaber and counting

Pages: [1] 2 3   Go Up
Send this topic | Print
Jump to: